Bug 1016104 - ignorePreviousValue should not be set on non-origin nodes
ignorePreviousValue should not be set on non-origin nodes
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan (Show other bugs)
Unspecified Unspecified
unspecified Severity high
: ER3
: 6.2.0
Assigned To: Tristan Tarrant
Martin Gencur
Depends On:
Blocks: 1010419
  Show dependency treegraph
Reported: 2013-10-07 09:45 EDT by Radim Vansa
Modified: 2014-04-28 11:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker ISPN-3600 Critical Resolved ignorePreviousValue should not be set on non-origin nodes 2013-10-18 02:50:26 EDT

  None (edit)
Description Radim Vansa 2013-10-07 09:45:50 EDT
In TxDistributionInterceptor.visit(Replace|Remove)Command the ignorePreviousValue flag is set to false on nodes which are not executing the transaction. Usually this does not matter, but when some other node requests transactions from this node (during ST), the Remove and Replace commands are sent with this flag set to false, which results in skipping their execution.
Comment 2 JBoss JIRA Server 2013-10-08 12:14:04 EDT
Pedro Ruivo <pedroruivo2@gmail.com> updated the status of jira ISPN-3600 to Coding In Progress

Note You need to log in before you can comment on or make changes to this bug.